### Function

# Camel search_get_all_headers_decoded

since: 3.22

#### Declaration [src]

    gchar*
    camel_search_get_all_headers_decoded (
      CamelMimeMessage* message
    )

#### Description

No description available.

Available since: 3.22

#### Parameters

`message`

  Type: `CamelMimeMessage`

  A `CamelMessage`.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

All headers of the `message`, decoded where needed. Free the returned pointer with `g_free()` when done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.